#!/usr/local/bin/perl

package UB;

$UB::PATH    = "/home0/free_account/twblh/UltraBoard";
# oOzQװϵ{|

$UB::BOARD_ID = 2;
#zQװϤiOidAЦۤvdbid

$UB::DAY_PRUNE = 30;
#nܴXѪ峹H

$SYSTEM::EXT = "cgi";
#{ɦWAĳϥcgi (iϥplաI)

$UB::SOURCES_PATH    = "$UB::PATH/Private/Sources";
$UB::VARIABLES_PATH  = "$UB::PATH/Private/Variables";
$UB::LIBRARIES_PATH  = "$UB::SOURCES_PATH/Libraries";
$UB::INTERFACES_PATH = "$UB::PATH/Private/Interfaces";
require "$UB::VARIABLES_PATH/System.cfg";

require "$UB::LIBRARIES_PATH/Standard.lib.pl";
require "$UB::LIBRARIES_PATH/Database.lib.pl";

my ($Headlines, $HeadlinesIndex) = &DB::Query (
  TABLE   => "B".$UB::BOARD_ID,
  COLUMNS => [
    "ID"                ,
    "SUBJECT"           ,
    "USERNAME"          ,
    "NICKNAME"          ,
    "ROOT"              ,
    "NUMBER_REPLIES"    ,
    "POST_SECOND"       ,
    "POST_DATE"         ,
    "POST_TIME"         ,
    "LAST_POST_DATE"    ,
    "LAST_POST_TIME"    ,
    "SYMBOL"            ,
    "APROVED"           ,
    "HITS"
  ]                                 ,
  WHERE   => {
    ROOT             => [0],
    APROVED          => [1],
    POST_SECOND      => [">".(time - ($UB::DAY_PRUNE * 60 * 60 * 24))]
  },
  MATCH   => "ALL"        ,
  SORT    => "POST_SECOND",
  BY      => "Z-A"
);


print "Content-type: text/html\n\n";

HEADLINE: for (my $h = 0; $h <= $#$Headlines; $h++) {
  my $Headline = $Headlines->[$h];
     $Headline = &Standard::UnReturn($Headline);

  open (POST, $SYSTEM::DB_PATH."/B".$UB::BOARD_ID."/".$Headline->{'ID'}.".post");
    $Headline->{'MESSAGE'} = join ("", <POST>);
  close (POST);

  &PrintHeadline($Headline);
}

sub PrintHeadline {
  my ($Headline) = @_;
  print<<HTML;
		<body bgcolor="#ffffff" link="#6c6c6c" vlink="#6c6c6c" alink="#6c6c6c">
                  <table width="470">
		    <td>
		    <p align="justify">
                    <font face="arial" class="headline" color="#000000"><b>$Headline->{'SUBJECT'}</b></font><br>
                    <font face="arial" class="information" color="#6c6c6c" size="1">iKɶ $Headline->{'POST_TIME'} on $Headline->{'POST_DATE'} by $Headline->{'NICKNAME'}</font><br>
                    <font class="body" color="#000000" size="2">$Headline->{'MESSAGE'}</font>
                  </p>
                  <p align="right">
                    <font face="arial" class="body" color="#6c6c6c" size="2"><i><a href="$SYSTEM::UB_URL/UltraBoard.$SYSTEM::EXT?action=Read&BID=$UB::BOARD_ID&TID=$Headline->{'ID'}" target="main">$Headline->{'NUMBER_REPLIES'} g^...</a></i></font>&nbsp;&nbsp;
                  </p>
		  </td>
		</table>
		</body>
HTML
}
