###############################################################################
# CP_CreateCategory.pl                                                        #
###############################################################################
# UltraBoard 2000 by UltraScripts.com, Inc.                                   #
# Scripts written by Jacky Wing Wa Yung, WebMaster@UltraScripts.com           #
# Available from http://www.UltraBoard.org/                                   #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999-2000 UltraScripts.com, Inc. All Rights Reserved.         #
#                                                                             #
# This program is being distributed as shareware. It may be used and modified #
# free for personal, government or non-profit. Any commercial use must be     #
# registered. However, modified versions cannot be sold or distributed. You   #
# cannot alter the copyright and "powered by" notices throughout the scripts. #
# These notices must be clearly visible to the end users.                     #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

package Source;

use strict;

sub CreateCategory {
  my ($ERROR) = @_;

  (
    my ($DB) = &DB::Query (
      TABLE   => "Groups",
      COLUMNS => ["ID", "TITLE"]
    )
  ) || &HTML::Error("ݪO޲z/ إ߷s", "ثeSiܪϥΪ̸s.<br>p, z <a href=\"$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=CreateGroup\" target=\"UBBODY\">إ߷sϥΪ̸s</a> !");

  my $Groups;
  push (
    @{ $Groups },
    {
      KEY   => "*",
      VALUE => "Ҧs"
    }
  );

  for (my $i = 0; $i <= $#{ $DB }; $i++) {
    push (
      @{ $Groups },
      {
        KEY   => $DB->[$i]{'ID'},
        VALUE => $DB->[$i]{'TITLE'}
      }
    );
  }

  my %FORM;
  $FORM{'FORM_TITLE'}        = $UB::QUERY{'FORM_TITLE'};
  $FORM{'FORM_DESCRIPTION'}  = $UB::QUERY{'FORM_DESCRIPTION'};

  $FORM{'FORM_LEVEL_00'}     = &HTML::Checkbox (
    NAME    => "FORM_LEVEL_00"                   ,
    VALUE   => "1"                               ,
    CHECKED => $UB::QUERY{'FORM_LEVEL_00'} || "",
    EXTRA   => "onClick=\"Checked4Everyone()\""

  );
  $FORM{'FORM_LEVEL_30'}     = &HTML::Checkbox (
    NAME    => "FORM_LEVEL_30"                   ,
    VALUE   => "1"                               ,
    CHECKED => $UB::QUERY{'FORM_LEVEL_30'} || "",
    EXTRA   => "onClick=\"Checked(document.form.FORM_LEVEL_30, document.form.FORM_GROUP_30)\""
  );
  $FORM{'FORM_LEVEL_50'}     = &HTML::Checkbox (
    NAME    => "FORM_LEVEL_50"                   ,
    VALUE   => "1"                               ,
    CHECKED => $UB::QUERY{'FORM_LEVEL_50'} || "",
    EXTRA   => "onClick=\"Checked(document.form.FORM_LEVEL_50, document.form.FORM_GROUP_50)\""
  );

  $FORM{'FORM_GROUP_30'}     = &HTML::Select (
    NAME      => "FORM_GROUP_30"                   ,
    VALUE     => $Groups                           ,
    MULTIPLE  => 1                                 ,
    SIZE      => 3                                 ,
    SELECTED  => [$UB::CGI->param('FORM_GROUP_30')],
    EXTRA     => "style=\"width:100%\" onChange=\"Selected(document.form.FORM_GROUP_30, document.form.FORM_LEVEL_30)\""
  );
  $FORM{'FORM_GROUP_50'}     = &HTML::Select (
    NAME      => "FORM_GROUP_50"                   ,
    VALUE     => $Groups                           ,
    MULTIPLE  => 1                                 ,
    SIZE      => 3                                 ,
    SELECTED  => [$UB::CGI->param('FORM_GROUP_50')],
    EXTRA     => "style=\"width:100%\" onChange=\"Selected(document.form.FORM_GROUP_50, document.form.FORM_LEVEL_50)\""
  );

  &Standard::PrintHTMLHeader();
  print &HTML::Header;
  print<<HTML;
<script language="JavaScript">
<!--
function Checked4Everyone () {
  if (document.form.FORM_LEVEL_00.checked) {
    document.form.FORM_LEVEL_30.checked = true;
    document.form.FORM_LEVEL_50.checked = true;

    SelectAll (document.form.FORM_GROUP_30);
    SelectAll (document.form.FORM_GROUP_50);
  }
}

function Checked (CheckboxObject, SelectObject) {
  if (CheckboxObject.checked) {
    SelectAll  (SelectObject);
  } else {
    document.form.FORM_LEVEL_00.checked = false;
    UnselectAll(SelectObject);
  }
}

function Selected (SelectObject, CheckboxObject) {
  var selected1 = false;
  var selected2 = true ;

  if (SelectObject.options[0].selected) {
    SelectAll (SelectObject);
    CheckboxObject.checked = true ;
    return;
  }

  for (var i = 0; i < SelectObject.length; i++) {
    if (SelectObject.options[i].selected) {
      selected1 = true ;
    } else {
      selected2 = false;
    }
  }

  if (selected1) {
    CheckboxObject.checked  = true ;
  } else {
    CheckboxObject.checked  = false;
  }

  if (!selected2) {
    document.form.FORM_LEVEL_00.checked = false;
  }
}

function SelectAll (SelectObject) {
  for (var i = SelectObject.length - 1; i >= 0; i--) {
    SelectObject.options[i].selected = true ;
  }
}

function UnselectAll (SelectObject) {
  for (var i = SelectObject.length - 1; i >= 0; i--) {
    SelectObject.options[i].selected = false;
  }
}
// -->
</script>
<form action="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT" method="post" name="form">
<input type="hidden" name="action" value="DoCreateCategory">
<table width="100%" border="0" cellspacing="0" cellpadding="5">
  <tr bgcolor="Gray">
    <td><font color="White"><b>
      <a href="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=body" target="UBBODY" class="address">x</a> / ݪO޲z/ إ߷s
    </b></font></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td>
HTML

  if ($ERROR ne "") {
    print<<HTML;
                        إ߷sɵoͤUC~.<br>
                        <table width="100%" border="0" cellspacing="2" cellpadding="2">
                          <tr>
                            <td><font color="#FF0000">$ERROR</font></td>
                          </tr>
                        </table>
                        оAקAոլ!<br>
HTML
  }

print<<HTML;
                      пJҦХ (<font color="Red"><b>*</b></font>) .
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            &nbsp;<br>
            &nbsp;&nbsp;@T
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td width="100" valign="top" nowrap>W<font color="Red"><b>*</b></font></td>
                      <td width="100%"><input type="text" name="FORM_TITLE" value="$FORM{'FORM_TITLE'}" size="45" style="width:100%"></td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="JzQϥΪW. (̦h 128 r.)"></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap></td>
                      <td width="100%"><textarea cols="45" rows="3" name="FORM_DESCRIPTION" style="width:100%" wrap="virtual">$FORM{'FORM_DESCRIPTION'}</textarea></td>
                      <td width="20" valign="top" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="zQiDϥΪoӤ. (̦h 512 r.)"></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            &nbsp;<br>
            &nbsp;&nbsp;v
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td colspan="2">$FORM{'FORM_LEVEL_00'}ҦΦWϥΪ̬ҥi\\Ū.</td>
                      <td rowspan="5" width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="пܱznNoӰQװܵصŻPsժϥΪ.\n\nzŻPsիKLkݨoӤ.\n\nZ:\npGz\'all group\', hzNөҫإߪҦϥΪ̸sճNiHݨoӤ."></td>
                    </tr>
                    <tr>
                      <td colspan="2">$FORM{'FORM_LEVEL_30'}]tHUsժ@ϥΪ̥i\\Ū</td>
                    </tr>
                    <tr>
                      <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                      <td width="100%">$FORM{'FORM_GROUP_30'}</td>
                    </tr>

                    <tr>
                      <td colspan="2">$FORM{'FORM_LEVEL_50'}]tHUsժ@ϥΪ̥i\\Ū</td>
                    </tr>
                    <tr>
                      <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                      <td width="100%">$FORM{'FORM_GROUP_50'}</td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="5">
        <tr>
          <td align="right"><input type="submit" value="إ߷s">&nbsp;&nbsp;<input type="Reset" value=""></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</form>
</body>
</html>
HTML
}

###############################################################################
1; # end of CP_CreateCategory.pl file
###############################################################################