###############################################################################
# CP_DoEmailAccounts.pl                                                       #
###############################################################################
# UltraBoard 2000 by UltraScripts.com, Inc.                                   #
# Scripts written by Jacky Wing Wa Yung, WebMaster@UltraScripts.com           #
# Available from http://www.UltraBoard.org/                                   #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999-2000 UltraScripts.com, Inc. All Rights Reserved.         #
#                                                                             #
# This program is being distributed as shareware. It may be used and modified #
# free for personal, government or non-profit. Any commercial use must be     #
# registered. However, modified versions cannot be sold or distributed. You   #
# cannot alter the copyright and "powered by" notices throughout the scripts. #
# These notices must be clearly visible to the end users.                     #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

package Source;

use strict;

sub DoEmailAccounts {
  unless ($SYSTEM::SENDMAIL) {
    &HTML::Error("ϥΪ̱b޲z / ޲zϥΪ̱b / Email ϥΪ", "p, zҰʱHH\\!");
  }

# =========================================================================== #
# Verify Variables

  # checking missing fields
  if ($UB::QUERY{'FORM_SUBJECT'} eq "") { &HTML::Error("ϥΪ̱b޲z / ޲zϥΪ̱b / Email ϥΪ", "zѤFJ \"D\" .") };
  if ($UB::QUERY{'FORM_MESSAGE'} eq "") { &HTML::Error("ϥΪ̱b޲z / ޲zϥΪ̱b / Email ϥΪ", "zѤFJ \"峹\" .") };

  my $SendMail = 0;
  if ($SYSTEM::SENDMAIL == 1) {
    if ( ($SYSTEM::MAIL_SYSTEM eq "SMTP") && ($SYSTEM::SMTP_PATH ne "") ) {
      $SendMail = &Standard::Require("SMTP.lib.pl", "$UB::LIBRARIES_PATH/SMTP.lib.pl");
    } elsif ( ($SYSTEM::MAIL_SYSTEM eq "SENDMAIL") && ($SYSTEM::SENDMAIL_PATH ne "") ) {
      $SendMail = &Standard::Require("Sendmail.lib.pl", "$UB::LIBRARIES_PATH/Sendmail.lib.pl");
    }
  }

  my ($Accounts, $AccountsIndex) = &DB::Query (
    TABLE   => "Accounts"      ,
    COLUMNS => ["USERNAME", "EMAIL"]
  );

  my @Email;
  foreach my $Username ( split (/,/, $UB::QUERY{'UIDS'}) ) {
    if ($AccountsIndex->{$Username}) {
      push (@Email, $Accounts->[$AccountsIndex->{$Username}]->{'EMAIL'});
    }
  }

  if ($SendMail) {
    &Mail::Send (
      SUBJECT => $UB::QUERY{'FORM_SUBJECT'},
      MESSAGE => $UB::QUERY{'FORM_MESSAGE'},
      TO      => $GENERAL::CONTACT_EMAIL   ,
      HEADER  => ($UB::QUERY{'FORM_FORMAT'} eq "HTML") ? "Content-type: text/html" : "Content-type: text/plain",
      BCC     => join (",", @Email)
    );
  }

  &Success();
}

###############################################################################
# Success function
# - function of printing success message of sending members
sub Success {
  &Standard::PrintHTMLHeader();
  print &HTML::Header;
  print<<HTML;
<table width="100%" border="0" cellspacing="0" cellpadding="5">
  <tr bgcolor="Gray">
    <td><font color="White"><b>
      <a href="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=body" target="UBBODY" class="address">x</a> / ϥΪ̱b޲z / ޲zϥΪ̱b / Email ϥΪ
    </b></font></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td>HHǨϥΪ.</td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>
HTML

  exit;
}

###############################################################################
1; # end of CP_DoEmailAccounts.pl file
###############################################################################