###############################################################################
# CP_DoMoveMessages.pl                                                        #
###############################################################################
# UltraBoard 2000 by UltraScripts.com, Inc.                                   #
# Scripts written by Jacky Wing Wa Yung, WebMaster@UltraScripts.com           #
# Available from http://www.UltraBoard.org/                                   #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999-2000 UltraScripts.com, Inc. All Rights Reserved.         #
#                                                                             #
# This program is being distributed as shareware. It may be used and modified #
# free for personal, government or non-profit. Any commercial use must be     #
# registered. However, modified versions cannot be sold or distributed. You   #
# cannot alter the copyright and "powered by" notices throughout the scripts. #
# These notices must be clearly visible to the end users.                     #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

package Source;

use strict;

&Standard::Require("Move.lib.pl", "$UB::LIBRARIES_PATH/Move.lib.pl");

sub DoMoveMessages {

  &Standard::PrintHTMLHeader();
  print &HTML::Header;
  print<<HTML;
<table width="100%" border="0" cellspacing="0" cellpadding="5">
  <tr bgcolor="Gray">
    <td><font color="White"><b>
      <a href="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=body" target="UBBODY" class="address">x</a> / 峹޲z / ޲z峹 / Remove Messages
    </b></font></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td>
HTML

  print "<textarea cols=\"45\" rows=\"30\" style=\"font-family: MS Sans Serif, Arial; font-size: x-small; width:100%\" wrap=\"off\" readonly>";

  my $TO_BOARD  = $UB::QUERY{'FORM_BOARD'};

# =========================================================================== #
# Move messages from Database

  print "Content-Type: text/plain\n\n";

  my @PIDS = split (/,/, $UB::QUERY{'PIDS'});

  my $T = time;
  for (my $i = 0; $i <= $#PIDS; $i++) {
    my ($BID, $PID) = ($PIDS[$i] =~ /BID_(\d+)-PID_(\d+)/);

    next if $BID eq $TO_BOARD;

    my $T = time;
    print $i + 1;
    print ") Moving topic id# $PID from board id# $BID to board id# $TO_BOARD\n\n";
    my $Return = &Move::Topic (
      FROM_BOARD => $BID     ,
      FROM_TOPIC => $PID     ,
      TO_BOARD   => $TO_BOARD,
      DETAIL     => 1
    );

    print "\n";
    print $i + 1;
    if ($Return < 1) {
      print ") Unsuccess. (", (time - $T), "s)\n\n\n";
    } else {
      print ") Success. (", (time - $T), "s)\n\n\n";
    }
  }

  print "Finished in ", (time - $T), " seconds";

  print "</textarea>";

  print<<HTML;
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>
HTML

}

###############################################################################
1; # end of CP_DoMoveMessages.pl file
###############################################################################