###############################################################################
# CP_DoRemoveGroups.pl                                                        #
###############################################################################
# UltraBoard 2000 by UltraScripts.com, Inc.                                   #
# Scripts written by Jacky Wing Wa Yung, WebMaster@UltraScripts.com           #
# Available from http://www.UltraBoard.org/                                   #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999-2000 UltraScripts.com, Inc. All Rights Reserved.         #
#                                                                             #
# This program is being distributed as shareware. It may be used and modified #
# free for personal, government or non-profit. Any commercial use must be     #
# registered. However, modified versions cannot be sold or distributed. You   #
# cannot alter the copyright and "powered by" notices throughout the scripts. #
# These notices must be clearly visible to the end users.                     #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

package Source;

use strict;

sub DoRemoveGroups {

  (
    my ($Groups) = &DB::Query (
      TABLE   => "Groups",
      COLUMNS => ["ID", "TOTAL_MEMBERS"]  ,
    )
  ) || &HTML::Error("ϥΪ̸sպ޲z /  ϥΪ̸s", "ثeSiܪϥΪ̸s.<br>p, z <a href=\"$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=CreateGroup\" target=\"UBBODY\">إ߷sϥΪ̸s</a> first!");

# =========================================================================== #
# Remove Groups from Database

  my @Index;
  for (my $i = 0; $i <= $#{$Groups}; $i++) {
    if ($UB::QUERY{"GID_".$Groups->[$i]{'ID'}}) {
      next if ($Groups->[$i]{'ID'} eq $GENERAL::DEFAULT_GROUP);
      next if ($Groups->[$i]{'TOTAL_MEMBERS'} > 0);
      push (@Index , $Groups->[$i]{'ID'});
    }
  }

  (
    &DB::Delete (
      TABLE  => "Groups",
      KEYS   => \@Index
    )
  ) || &HTML::Error("Ʈw~", $DB::Error);

  &Success();
}

###############################################################################
# Success function
# - function of printing success message of removing member groups
sub Success {
  &Standard::PrintHTMLHeader();
  print &HTML::Header;
  print<<HTML;
<table width="100%" border="0" cellspacing="0" cellpadding="5">
  <tr bgcolor="Gray">
    <td><font color="White"><b>
      <a href="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=body" target="UBBODY" class="address">x</a> / ϥΪ̸sպ޲z /  ϥΪ̸s
    </b></font></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td>HWϥΪ̸sդwQ.</td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>
HTML

  exit;
}

###############################################################################
1; # end of CP_DoRemoveGroups.pl file
###############################################################################