###############################################################################
# CP_ManageAccounts.pl                                                        #
###############################################################################
# UltraBoard 2000 by UltraScripts.com, Inc.                                   #
# Scripts written by Jacky Wing Wa Yung, WebMaster@UltraScripts.com           #
# Available from http://www.UltraBoard.org/                                   #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999-2000 UltraScripts.com, Inc. All Rights Reserved.         #
#                                                                             #
# This program is being distributed as shareware. It may be used and modified #
# free for personal, government or non-profit. Any commercial use must be     #
# registered. However, modified versions cannot be sold or distributed. You   #
# cannot alter the copyright and "powered by" notices throughout the scripts. #
# These notices must be clearly visible to the end users.                     #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

package Source;

sub ManageAccounts {
  my ($ERROR) = @_;

  (
    my ($DB) = &DB::Query (
      TABLE   => "Groups",
      COLUMNS => ["ID", "TITLE", "TOTAL_MEMBERS"]
    )
  ) || &HTML::Error("ϥΪ̱b޲z / sWϥΪ̱b", "SiΪsըѱz.<br>p, z <a href=\"$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=CreateGroup\" target=\"UBBODY\">إߤ@ӨϥΪ̸s</a>!");

  my $TotalMembers = 0;

  my $Groups;
  push (
    @{ $Groups },
    {
      KEY   => "*",
      VALUE => "ҦϥΪ̸s"
    }
  );
  for (my $i = 0; $i <= $#{ $DB }; $i++) {
    $TotalMembers += $DB->[$i]{'TOTAL_MEMBERS'};
    push (
      @{ $Groups },
      {
        KEY   => $DB->[$i]{'ID'},
        VALUE => $DB->[$i]{'TITLE'}
      }
    );
  }

  my $Level = [
    {
      KEY   => "*",
      VALUE => "Ҧ",
    },{
      KEY   => "30",
      VALUE => $GENERAL::MEMBER_LEVEL_30." ( 30)",
    }, {
      KEY   => "50",
      VALUE => $GENERAL::MEMBER_LEVEL_50." ( 50)",
    }, {
      KEY   => "70",
      VALUE => $GENERAL::MEMBER_LEVEL_70." ( 70)",
    }
  ];

  my %FORM;
  $FORM{'FORM_LEVEL'}     = &HTML::Select (
    NAME      => "FORM_LEVEL",
    VALUE     => $Level     ,
    SELECTED  => [$UB::CGI->param('FORM_LEVEL')],
    EXTRA     => "style=\"width:100%\""
  );

  $FORM{'FORM_GROUP'}     = &HTML::Select (
    NAME      => "FORM_GROUP",
    VALUE     => $Groups     ,
    SELECTED  => [$UB::CGI->param('FORM_GROUP')],
    EXTRA     => "style=\"width:100%\""
  );

  &Standard::PrintHTMLHeader();
  print &HTML::Header;
  print<<HTML;
<form action="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT" method="post">
<input type="hidden" name="action" value="ListAccounts">
<table width="100%" border="0" cellspacing="0" cellpadding="5">
  <tr bgcolor="Gray">
    <td><font color="White"><b>
      <a href="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=body" target="UBBODY" class="address">x</a> / ϥΪ̱b޲z / ޲zϥΪ̱b
    </b></font></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td>
                      ɥiJh, HKYpjMG. `@ $TotalMembers ϥΪ.
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            &nbsp;<br>
            &nbsp;&nbsp;jM
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td width="100" valign="top" nowrap>ϥΪ̦W</td>
                      <td width="100%"><input type="text" name="FORM_USERNAME" value="" style="width:100%" maxlength="64"></td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="JrHjM]trꪺϥΪ̦W.\n\nZ:\nq ^ }lܥѳoӦr}l.\n\nq \$ ܥѳoӦr굲."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>ʺ</td>
                      <td width="100%"><input type="text" name="FORM_NICKNAME" value="" style="width:100%" maxlength="64"></td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="JrHjM]trꪺʺ.\n\nZ:\nq ^ }lܥѳoӦr}l.\n\nq \$ ܥѳoӦr굲."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap></td>
                      <td width="100%">$FORM{'FORM_LEVEL'}</td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzQjM."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>ϥΪ̸s</td>
                      <td width="100%">$FORM{'FORM_GROUP'}</td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzQjMϥΪ̸s."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>A</td>
                      <td width="100%"><input type="Radio" name="FORM_STATUS" value="*" checked class="Radio"> <input type="Radio" name="FORM_STATUS" value="50" class="Radio">ҥ <input type="Radio" name="FORM_STATUS" value="30" class="Radio"></td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzQjMA."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>̪o峹</td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td nowrap><select name="FORM_LAST_POST_BOOLEAN" class="Select"><option value="GT">j</option><option value="LT">p</option></select></td>
                            <td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td width="100%"><select name="FORM_LAST_POST_DAYS" class="Select" style="width:100%"><option value="*">ɶ</option><option value="NA">N/A</option><option value="1">1 </option><option value="2">2 </option><option value="3">3 </option><option value="7">7 </option><option value="14">14 </option><option value="30">30 </option><option value="45">45 </option><option value="60">60 </option><option value="90">90 </option><option value="180">180 </option><option value="365">365 </option></select></td>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="jMҦŦXWzܪkϥΪ."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>`峹</td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td nowrap><select name="FORM_TOTAL_POST_BOOLEAN" class="Select"><option value="GT">j</option><option value="LT">p</option></select></td>
                            <td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td width="100%"><select name="FORM_TOTAL_POST_NUMBER" class="Select" style="width:100%"><option value="*">ƥ</option><option value="NA">N/A</option><option value="25">25 g峹</option><option value="50">50 g峹</option><option value="75">75 g峹</option><option value="100">100 g峹</option><option value="150">150 g峹</option><option value="200">200 g峹</option><option value="250">250 g峹</option><option value="300">300 g峹</option><option value="350">350 g峹</option><option value="400">400 g峹</option><option value="450">450 g峹</option><option value="500">500 g峹</option></select></td>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="jMҦŦXWzܪkϥΪ."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>ƦC</td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td nowrap>̷&nbsp;&nbsp;</td>
                            <td nowrap><select name="FORM_SORT_FIELD" class="Select"><option value="NICKNAME">ʺ</option><option value="STATUS">A</option><option value="LEVEL"></option><option value="GROUP">s</option><option value="TOTAL_POSTS">`峹</option><option value="REGISTERED_SECOND">U</option><option value="LAST_POST_SECOND">̪o峹</option><option value="LAST_LOGIN_SECOND">̪nJ</option></select></td>
                            <td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td width="100%"><select name="FORM_SORT_ORDER" class="Select" style="width:100%"><option value="A-Z">@</option><option value="Z-A"></option></select></td>
                            <td nowrap>&nbsp;&nbsp;ƦC.</td>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzQnƦC覡."></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            &nbsp;<br>
            &nbsp;&nbsp;ʧ@
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td width="100%"><input type="Radio" name="FORM_ACTION" value="DeActivateAccounts" checked class="Radio">ҥ / ΨϥΪ̱b<br><input type="Radio" name="FORM_ACTION" value="EmailAccounts" class="Radio">Email ϥΪ<br><input type="Radio" name="FORM_ACTION" value="ModifyAccount" class="Radio">קϥΪ̱b<br><input type="Radio" name="FORM_ACTION" value="MoveAccounts" class="Radio">ʨϥΪ̱b<br><input type="Radio" name="FORM_ACTION" value="RemoveAccounts" class="Radio">RϥΪ̱b</td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzn޲zbʧ@"></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="5">
        <tr>
          <td align="right"><input type="submit" value="jM">&nbsp;&nbsp;<input type="Reset" value=""></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</form>
</body>
</html>
HTML
}

###############################################################################
1; # end of CP_ManageAccounts.pl file
###############################################################################