###############################################################################
# CP_ManageMessages.pl                                                        #
###############################################################################
# UltraBoard 2000 by UltraScripts.com, Inc.                                   #
# Scripts written by Jacky Wing Wa Yung, WebMaster@UltraScripts.com           #
# Available from http://www.UltraBoard.org/                                   #
# =========================================================================== #
# COPYRIGHT NOTICE :                                                          #
#                                                                             #
# Copyright (c) 1999-2000 UltraScripts.com, Inc. All Rights Reserved.         #
#                                                                             #
# This program is being distributed as shareware. It may be used and modified #
# free for personal, government or non-profit. Any commercial use must be     #
# registered. However, modified versions cannot be sold or distributed. You   #
# cannot alter the copyright and "powered by" notices throughout the scripts. #
# These notices must be clearly visible to the end users.                     #
#                                                                             #
# WARRANTY DISCLAIMER:                                                        #
#                                                                             #
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT WITHOUT #
# ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF MERCHANTABILITY OR       #
# FITNESS FOR A PARTICULAR PURPOSE.                                           #
###############################################################################

package Source;

sub ManageMessages {
  my ($ERROR) = @_;

  ( # querying data from categories table
    my ($Categories, $CateogriesIndex) = &DB::Query (
      TABLE   => "Categories",
      COLUMNS => ["ID", "TITLE"]
    )
  ) || &HTML::Error("ݪO޲z / 峹޲z / ޲z峹", "ثeSiܪݪO.<br>p, z <a href=\"$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=CreateCategory\" target=\"UBBODY\">إ߷sݪO</a>!");

  ( # querying data from categories table
    my ($DB) = &DB::Query (
      TABLE   => "Boards",
      COLUMNS => ["ID", "TITLE", "CATEGORY", "POSITION"],
      SORT    => "POSITION",
      BY      => "A-Z"
    )
  ) || &HTML::Error("ݪO޲z / 峹޲z / ޲z峹", "ثeSiܪݪO.<br>p, z <a href=\"$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=CreateBoard\" target=\"UBBODY\">إ߷sݪO</a> first!");

  my $Boards;
  for (my $i = 0; $i <= $#{ $DB }; $i++) {
    push (
      @{ $Boards },
      {
        KEY   => $DB->[$i]{'ID'},
        VALUE => $Categories->[ $CateogriesIndex->{ $DB->[$i]{'CATEGORY'} } ]{'TITLE'}." / ".$DB->[$i]{'TITLE'}
      }
    );
  }

  my %FORM;
  $FORM{'FORM_BOARDS'} = &HTML::Select (
    NAME      => "FORM_BOARDS",
    VALUE     => $Boards      ,
    MULTIPLE  => 1            ,
    SIZE      => 3            ,
    SELECTED  => [$UB::CGI->param('FORM_BOARDS')],
    EXTRA     => "style=\"width:100%\""
  );

  &Standard::PrintHTMLHeader();
  print &HTML::Header;
  print<<HTML;
<form action="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT" method="post">
<input type="hidden" name="action" value="ListMessages">
<table width="100%" border="0" cellspacing="0" cellpadding="5">
  <tr bgcolor="Gray">
    <td><font color="White"><b>
      <a href="$SYSTEM::CP_URL/Panel.$SYSTEM::EXT?action=body" target="UBBODY" class="address">x</a> / 峹޲z / ޲z峹
    </b></font></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td>
      <table width="100%" border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td>
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td>
                      ɥiJh, HKYpjMG.
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            &nbsp;<br>
            &nbsp;&nbsp;jM
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td width="100" valign="top" nowrap>r</td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td nowrap><input type="text" name="FORM_KEYWORD" value="" maxlength="256"></td>
                            <td nowrap>&nbsp;&nbsp;b&nbsp;&nbsp;</td>
                            <td width="100%"><select name="FORM_METHOD" class="Select" style="width:100%">
                              <option value="SBU">D, e, ΨϥΪ̦W/ʺ</option>
                              <option value="SB">D, Τe</option>
                              <option value="SU">D, ΨϥΪ̦W/ʺ</option>
                              <option value="S">uD</option>
                              <option value="B">ue</option>
                              <option value="U">uϥΪ̦W/ʺ</option>
                            </select></td>
                            <td nowrap>&nbsp;&nbsp;.</td>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="JznjM峹ҥ]tr.\n\nZ:\nq ^ }lܥѳoӦr}l.\n\nq \$ ܥѳoӦr굲."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>ݪOW</td>
                      <td width="100%">$FORM{'FORM_BOARDS'}</td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱznjMݪO.\n\nZ\n [ctrl] ih."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap></td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td nowrap><select name="FORM_DATE_BOOLEAN" class="Select"><option value="GT">j</option><option value="LT"></option></select></td>
                            <td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td width="100%"><select name="FORM_DATE_DAYS" class="Select" style="width:100%">
                              <option value="*"></option>
                              <option value="1">1 </option>
                              <option value="2">2 </option>
                              <option value="3">3 </option>
                              <option value="7">7 </option>
                              <option value="14">14 </option>
                              <option value="30">30 </option>
                              <option value="45">45 </option>
                              <option value="60">60 </option>
                              <option value="90">90 </option>
                              <option value="180">180 </option>
                              <option value="365">365 </option>
                            </select></td>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="jMoӤHeΥH᪺Ҧ峹."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>ƦC</td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td nowrap>̷&nbsp;&nbsp;</td>
                            <td nowrap><select name="FORM_SORT_FIELD" class="Select">
                              <option value="SUBJECT">D</option>
                              <option value="NICKNAME">@</option>
                              <option value="POST_SECOND">o</option>
                            </select></td>
                            <td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                            <td width="100%"><select name="FORM_SORT_ORDER" class="Select" style="width:100%">
                              <option value="A-Z">@</option>
                              <option value="Z-A"></option>
                            </select></td>
                            <td nowrap>&nbsp;&nbsp;ƦC.</td>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzQn@ƦC̾ڪ."></td>
                    </tr>
                    <tr>
                      <td width="100" valign="top" nowrap>˵Ҧ</td>
                      <td width="100%">
                        <table width="100%" border="0" cellspacing="0" cellpadding="2">
                          <tr>
                            <td width="100%">
                            <input type="Radio" name="FORM_VIEW" value="TopicOnly" checked class="Radio">uܳoӥDDĤ@g.<br>
                            <input type="Radio" name="FORM_VIEW" value="All" class="Radio">ܳoӥDDMҦ^Ф峹.<br>
                          </tr>
                        </table>
                      </td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܷjMG覡"></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
            &nbsp;<br>
            &nbsp;&nbsp;ʧ@
            <table width="100%" border="1" cellspacing="0" cellpadding="3" bordercolordark="White" bordercolorlight="Gray">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="2">
                    <tr>
                      <td width="100%">
                      <input type="Radio" name="FORM_ACTION" value="ReadOnlyMessages" checked class="Radio"> / }Ҥ峹<br>
                      <input type="Radio" name="FORM_ACTION" value="ModifyMessage" class="Radio">ק峹<br>
                      <input type="Radio" name="FORM_ACTION" value="MoveMessages" class="Radio">ʤ峹<br>
                      <input type="Radio" name="FORM_ACTION" value="RemoveMessages" class="Radio">峹</td>
                      <td width="20" valign="top" nowrap><img src="$SYSTEM::IMAGE_URL/help.gif" width=20 height=20 border=0 alt="ܱzn޲z峹ʧ@."></td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <table width="100%" border="0" cellspacing="0" cellpadding="5">
        <tr>
          <td align="right"><input type="submit" value="jM">&nbsp;&nbsp;<input type="Reset" value=""></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</form>
</body>
</html>
HTML
}

###############################################################################
1; # end of CP_ManageMessages.pl file
###############################################################################